com.google.cloud.dataflow.sdk.io

## Interface CompressedSource.DecompressingChannelFactory

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CompressedSource.CompressionMode

Enclosing class:
  CompressedSource<T>

    public static interface CompressedSource.DecompressingChannelFactory
    extends Serializable

Factory interface for creating channels that decompress the content of an underlying channel.

### Method Summary

All Methods Instance Methods Abstract Methods
`ReadableByteChannel` `createDecompressingChannel(ReadableByteChannel channel)` Given a channel, create a channel that decompresses the content read from the channel.

### Method Detail

#### createDecompressingChannel

    ReadableByteChannel createDecompressingChannel(ReadableByteChannel channel)
                                            throws IOException

Given a channel, create a channel that decompresses the content read from the channel.

Throws:
  `IOException`